## rexima 1.0-1

=== Makefile ===
# Makefile - makefile for rexima

# any include dir args required (e.g. -I/usr/include/ncurses for
# ncurses; not needed for the current version, but needed for older
# ones, and it shouldn't hurt to include it just in case).
INCOPT=-I/usr/include/ncurses

CC=gcc
CFLAGS=-Wall -O2 $(INCOPT)

# if using ncurses (e.g. on Linux):
CURSESLIBS=-lncurses

DESTDIR = 

# directory to install the `rexima' binary in
BINDIR=$(DESTDIR)/usr/bin

# directory in which to install `rexima.1', the man page
MANDIR=$(DESTDIR)/usr/man/man1

# ------------- don't edit anything below this line --------------

OBJS = rexima.o

all: rexima

rexima: $(OBJS)
	$(CC) $(CFLAGS) -o rexima $(OBJS) $(CURSESLIBS)

install: all
	strip rexima
	install -m 511 rexima		$(BINDIR)
	install -m 444 rexima.1		$(MANDIR)

clean:
	$(RM) *.o *~

distclean: clean
	$(RM) rexima

tar:	distclean
	cd ..;tar -cvf - rexima | gzip >$(HOME)/tmp/rexima.tar.gz

=== debian/changelog ===
rexima (1.0-1) unstable; urgency=low

  * Initial Release.

 -- Pablo Averbuj <pablo@debian.org>  Tue,  6 Apr 1999 00:48:52 -0400

Local variables:
mode: debian-changelog
add-log-mailing-address: "pablo@debian.org"
End:

=== debian/control ===
Source: rexima
Section: sound
Priority: optional
Maintainer: Pablo Averbuj <pablo@debian.org>
Standards-Version: 2.4.0.0

Package: rexima
Architecture: any
Depends: ${shlibs:Depends}
Description: A nice little ncurses mixer.
 rexima is 'a mixer' spelled backwards. A humble little mixer which is easy
 to use.

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir

	
	# Add here commands to compile the package.
	$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	$(MAKE) install DESTDIR=`pwd`/debian/tmp

	touch install-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs 
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## rexima 1.1

=== Makefile ===
# Makefile - makefile for rexima

CC=gcc
CFLAGS=-O -Wall

# Set BINDIR to directory for binary,
# MANDIR to directory for man page.
# Usually it will be simpler to just set PREFIX.
#
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
MANDIR=$(PREFIX)/man/man1

# You shouldn't need to edit below this line.
#--------------------------------------------------------

all: rexima

rexima: rexima.o
	$(CC) $(CFLAGS) -o rexima rexima.o -lncurses

installdirs:
	/bin/sh ./mkinstalldirs $(BINDIR) $(MANDIR)

install: rexima installdirs
	install -s -m 511 rexima $(BINDIR)
	install -m 444 rexima.1 $(MANDIR)

uninstall:
	$(RM) $(BINDIR)/rexima $(MANDIR)/rexima.1

clean:
	$(RM) *.o *~ rexima


# stuff to make distribution tgz

VERS=1.1

tgz: ../rexima-$(VERS).tar.gz
  
../rexima-$(VERS).tar.gz: clean
	@cd ..;ln -s rexima rexima-$(VERS)
	cd ..;tar zchvf rexima-$(VERS).tar.gz rexima-$(VERS)
	@cd ..;$(RM) rexima-$(VERS)

## rexima 1.3

=== Makefile ===
--- 
+++ 
@@ -23,8 +23,8 @@
 	/bin/sh ./mkinstalldirs $(BINDIR) $(MANDIR)
 
 install: rexima installdirs
-	install -s -m 511 rexima $(BINDIR)
-	install -m 444 rexima.1 $(MANDIR)
+	install -s -m 755 rexima $(BINDIR)
+	install -m 644 rexima.1 $(MANDIR)
 
 uninstall:
 	$(RM) $(BINDIR)/rexima $(MANDIR)/rexima.1
@@ -35,7 +35,7 @@
 
 # stuff to make distribution tgz
 
-VERS=1.1
+VERS=1.3
 
 tgz: ../rexima-$(VERS).tar.gz

## rexima 1.4

=== debian/changelog ===
rexima (1.4-9) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ tony mancill ]
  * Set Rules-Requires-Root: no in debian/control
  * Bump Standards-Version to 4.6.2
  * Use debhelper-compat 13
  * Update B-D to libncurses-dev
  * Convert d/copyight to machine-readable format
  * Update project Homepage
  * Update debian/watch
  * Add patch to respect build flags and enable build hardening

 -- tony mancill <tmancill@debian.org>  Tue, 28 Nov 2023 21:03:19 -0800

rexima (1.4-8) unstable; urgency=medium

  * Simplified debian/rules.
  * Migrate package to git on collab-maint; update Vcs URLs.
  * Update Standards-Version to 3.9.8.

 -- tony mancill <tmancill@debian.org>  Sun, 14 Aug 2016 13:33:31 -0700

rexima (1.4-7) unstable; urgency=low

  [ Jari Aalto ]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update Standards-Version to 3.9.3.1 (no changes needed).
  * Update to debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Fix description-synopsis-starts-with-article (Lintian).
  * Fix debian-rules-calls-debhelper-in-odd-order dh_makeshlibs (Lintian).

  [ tony mancill ]
  * Correct Vcs-Svn URL to only reference the trunk.

 -- tony mancill <tmancill@debian.org>  Fri, 13 Apr 2012 03:23:40 +0000

rexima (1.4-6) unstable; urgency=low

  [ gregor herrmann ]
  * Change debian/copyright to the new machine-readable format.

  [ tony mancill ]
  * add mixer level keys 1-9 (closes: #474566)

 -- tony mancill <tmancill@debian.org>  Sun, 06 Apr 2008 16:10:42 -0700

rexima (1.4-5) unstable; urgency=low

  [ gregor herrmann ]
  * Change XS-Vcs-* fields to Vcs-*.
  * Set Standards-Version to 3.7.3 (no changes needed).

  [ tony mancill ]
  * Set debian/compat to 5.
  * Add Homepage: to debian/control source stanza.

 -- tony mancill <tmancill@debian.org>  Tue, 25 Dec 2007 09:03:15 -0800

rexima (1.4-4) unstable; urgency=low

  * Add patch 01_nostrip.dpatch to prevent stripping the binary during
    install (closes: #437907).

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Tue, 14 Aug 2007 21:32:40 +0200

rexima (1.4-3) unstable; urgency=low

  * Add XS-Vcs-Svn and XS-Vcs-Browser fields to debian/control.
  * Don't ignore errors of $(MAKE) clean.
  * Install upstream NEWS and README files.
  * Adjust menu file to the new menu policy.
  * Add watch file.
  * Remove README.Debian which is a greeting from the last millenium.
  * Add myself to uploaders.

 -- gregor herrmann <gregor+debian@comodo.priv.at>  Mon, 13 Aug 2007 21:58:47 +0200

rexima (1.4-2) unstable; urgency=low

  * debian/control: bump Standards-Version to 3.7.2
  * add debian/compat for debhelper compatibility version
  * update debian/rules to install to debian/rexima, not debian/tmp

 -- tony mancill <tmancill@debian.org>  Sat, 21 Apr 2007 20:33:04 -0700

rexima (1.4-1) unstable; urgency=low

  * New upstream release
  * New maintainer (closes: #312866)

 -- tony mancill <tmancill@debian.org>  Sun, 12 Jun 2005 22:42:00 -0700

rexima (1.3-1) unstable; urgency=low

  * New upstream version (Closes: #191465)

 -- Pablo Averbuj <pablo@debian.org>  Thu,  1 May 2003 01:42:36 -0400

rexima (1.1-4) unstable; urgency=low

  * Fixing lintian errors:
  * Updated to standards 3.5.0
  * Added build-depends
  * Wrapped the full description at column 75

 -- Pablo Averbuj <pablo@debian.org>  Fri,  7 Sep 2001 15:57:46 -0400

rexima (1.1-3) unstable; urgency=low

  * Recompiled for libncurses5 (Closes: #93941)

 -- Pablo Averbuj <pablo@debian.org>  Sat, 14 Apr 2001 19:43:22 -0400

rexima (1.1-2) unstable; urgency=low

  * Fixed manpage path (Closes: #91009)

 -- Pablo Averbuj <pablo@debian.org>  Sat, 24 Mar 2001 19:12:11 -0500

rexima (1.1-1) unstable; urgency=low

  * New upstream release. Closes: #72200

 -- Pablo Averbuj <pablo@debian.org>  Sun, 15 Oct 2000 20:17:57 -0400

=== debian/control ===
Source: rexima
Section: sound
Priority: optional
Maintainer: tony mancill <tmancill@debian.org>
Uploaders: gregor herrmann <gregor+debian@comodo.priv.at>
Standards-Version: 4.6.2
Vcs-Git: https://salsa.debian.org/debian/rexima.git
Vcs-Browser: https://salsa.debian.org/debian/rexima
Homepage: https://www.svgalib.org/rus/rexima.html
Build-Depends: libncurses-dev, debhelper-compat (= 13)
Rules-Requires-Root: no

Package: rexima
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: simple ncurses/command-line mixer
 rexima is 'a mixer' spelled backwards. A humble command-line/ncurses mixer
 which is easy to use and can modify mixer settings non-interactively in
 shell scripts (for example).

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow

%:
	dh  $@

override_dh_auto_install:
	$(MAKE) install PREFIX=$(CURDIR)/debian/rexima/usr MANDIR=$(CURDIR)/debian/rexima/usr/share/man/man1

=== debian/watch ===
version=4
opts=passive \
ftp://ftp.ibiblio.org/pub/Linux/apps/sound/mixers/rexima-@ANY_VERSION@@ARCHIVE_EXT@
